/* Global Ruls */
body {
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Open Sans', sans-serif;
}
html {
  scroll-behavior: smooth;
}
::selection {
  background: var(--main-color);
  color: #ffffff;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
ul {
    list-style: none;
}
a {
    text-decoration: none;
}
.container {
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
  }
  /* Small */
  @media (min-width: 768px) {
    .container {
      width: 750px;
    }
  }
  /* Medium */
  @media (min-width: 992px) {
    .container {
      width: 970px;
    }
  }
  /* Large */
  @media (min-width: 1200px) {
    .container {
      width: 1170px;
    }
  }
:root {
    --main-color: hsl(322, 100%, 66%);
    --heading-color: hsl(192, 100%, 9%);
}
/* End */
/* Header */
nav {
    position: fixed;
    width: 100%;
    background: hsl(193, 100%, 96%);
    z-index: 99;
    box-shadow: 1px 0 7px #000000;
}
nav .container {
    display: flex;
    justify-content: space-between;
    height: 90px;
    align-items: center;
}
nav .container button {
    font-size: 18px;
    position: relative;
    text-transform: capitalize;
    padding: 10px 25px;
    border-radius: 26px;
    color: var(--main-color);
    border: solid 2px var(--main-color);
    background-color: transparent;
    box-shadow: 0 0 6px -1px var(--main-color);
    transition: .4s;
    cursor: pointer;
}
nav .container button::before {
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  height: 0;
  transition: .4s;
  width: 0;
  z-index: -1;
  border-top-left-radius: 26px;
  border-bottom-left-radius: 26px;
  background: var(--main-color);
}
nav .container button:hover::before {
  width: 50%;
  height: 100%;
  top: 0;
}
nav .container button::after {
  content: '';
  position: absolute;
  right: 0;
  top: 50%;
  height: 0;
  transition: .4s;
  width: 0;
  z-index: -1;
  border-top-right-radius: 26px;
  border-bottom-right-radius: 26px;
  background: var(--main-color);
}
nav .container button:hover::after {
  width: 50%;
  height: 100%;
  top: 0;
}
nav .container button:hover {
    color: hsl(207, 100%, 98%);
}
/* End */
/* Landing */
.landing {
    height: 667px;
    position: relative;
    top: 90px;
    background: hsl(193, 100%, 96%);
    z-index: 0;
}
.landing::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-image: url(../images/bg-hero-desktop.svg);
  z-index: -1;
}
.landing .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}
.landing .container h1 {
    color: var(--heading-color);
    font-size: 45px;
    max-width: 600px;
}
.landing .container p {
  color: var(--heading-color);
  font-size: 20px;
  max-width: 590px;
  line-height: 1.6;
  margin: 25px 0;
}
.landing .container button {
  font-size: 22px;
  padding: 20px 45px;
  border-radius: 35px;
  border: none;
  color: hsl(207, 100%, 98%);
  background: transparent;
  cursor: pointer;
  box-shadow: 0 0 6px -1px var(--main-color);
  border: solid 2px var(--main-color);
  transition: .4s;
  z-index: 3;
  position: relative;
}
.landing .container button::before {
  content: '';
  width: 50%;
  border-top-left-radius: 35px;
  border-bottom-left-radius: 35px;
  z-index: -1;
  height: 100%;
  transition: .4s;
  position: absolute;
  left: 0;
  top: 0;
  background: var(--main-color);
}
.landing .container button:hover::before {
  width: 0;
  height: 0;
  top: 50%;
}
.landing .container button::after {
  content: '';
  width: 50%;
  border-top-right-radius: 35px;
  border-bottom-right-radius: 35px;
  z-index: -1;
  height: 100%;
  transition: .4s;
  position: absolute;
  right: 0;
  top: 0;
  background: var(--main-color);
}
.landing .container button:hover::after {
  width: 0;
  height: 0;
  top: 50%;
}
.landing .container button:hover {
  color: var(--main-color);
}
.landing .container .right-ri img {
  max-width: 500px;
}
/* End */
.contents {
  display: flex;
  flex-direction: column;
  gap: 50px;
  margin: 220px 0 142px;
}
/* Grow t */
.tg {
  position: relative;
  background-color: white;
}
.tg .container .left h1 {
  color: var(--heading-color);
  font-size: 40px;
}
.tg .container .left p {
  max-width: 462px;
  line-height: 1.6;
  margin-top: 30px;
  color: hsl(208, 11%, 55%);
}
.tg .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.sec {
  box-shadow: 0 0 24px -16px black;
  border-radius: 18px;
  padding: 55px 20px 55px 85px;
}
.tg .container .right-img img {
  max-width: 435px;
}
/* End */
/* fl */
.follow .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.follow .container img {
  max-width: 435px;
}
.follow .container .right-c h1 {
  font-size: 40px;
  color: var(--heading-color)
}
.follow .container .right-c p {
  max-width: 500px;
  margin-top: 30px;
  line-height: 1.6;
  color: hsl(208, 11%, 55%);
}
/* End */
/* Users */
.users {
  position: relative;
  background-color: white;
}
.users .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.users .container .left h1 {
  font-size: 40px;
  color: var(--heading-color);
}
.users .container .left p {
  max-width: 495px;
  line-height: 1.6;
  margin-top: 30px;
  color: hsl(208, 11%, 55%);
}
.users .container img {
  max-width: 435px;
}
/* End */
/* Ready */
.red {
  position: relative;
  z-index: 2;
  top: 50px;
}
.red .container {
  height: 100%;
  display: flex;
  background: white;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 25px;
  box-shadow: 0 0 24px -16px black;
  width: 60%;
  padding: 60px 0;
  border-radius: 18px;
}
.red .container h1 {
  font-size: 34px;
}
.red .container button {
  font-size: 22px;
  padding: 20px 45px;
  border-radius: 35px;
  border: none;
  background-color: var(--main-color);
  color: hsl(207, 100%, 98%);
  cursor: pointer;
  box-shadow: 0 0 6px -1px var(--main-color);
  border: solid 2px var(--main-color);
  transition: .4s;
  position: relative;
  overflow: hidden;
  z-index: 1;
}
.red .container button::before {
  content: '';
  position: absolute;
  left: -100%;
  height: 100%;
  top: 0;
  width: 100%;
  background: #ffffff;
  transition: .4s;
  z-index: -1;
}
.red .container button:hover::before {
  left: 0;
}
.red .container button:hover {
  color: var(--main-color);
}
/* End */
/* Footer */
.footer {
  padding-top: 145px;
  padding-bottom: 70px;
  background: var(--heading-color);
  position: relative;
}
.footer .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #ffffff;
}
.footer .container .img {
  display: flex;
  align-items: center;
  font-size: 50px;
  gap: 10px;
  font-weight: bold;
  width: fit-content;
  transition: .4s;
  cursor: default;
  
}
.footer .container .img span:last-child {
  padding-bottom: 10px;
}
.footer .container .img:hover {
  color: var(--main-color);
}
.footer .container .left p {
  max-width: 375px;
  line-height: 1.6;
  margin: 20px 0;
}
.footer .container .left .phone {
  margin-bottom: 20px;
}
.footer .container .left .phone a {
  color: #ffffff;
  transition: .4s;
}
.footer .container .left .phone a:hover {
  color: var(--main-color)
}
.footer .container .left .phone img {
  margin-right: 15px;
}
.footer .container .left .email img {
  margin-right: 15px;
}
.footer .container .left .email a {
  transition: .4s;
  color: #ffffff;
  cursor: pointer;
}
.footer .container .left .email a:hover {
  color: var(--main-color);
}
.footer .container .right p {
  max-width: 360px;
  line-height: 1.6;
  margin: 20px 0;
}
.footer .container .right form input::placeholder {
  text-transform: capitalize;
  transition: .4s;  
}
.footer .container .right form {
  display: flex;
  gap: 15px;
}
.footer .container .right form input {
  height: 40px;
  width: 220px;
  border: none;
  background-color: #ffffff;
  padding: 15px;
  border-radius: 6px;
  transition: .4s;
  caret-color: var(--main-color);
  color: var(--main-color);
}
.footer .container .right form input:focus {
  outline: none;
}
.footer .container .right form input:focus::placeholder {
  opacity: 0;
}
.footer .container .right form button {
  font-size: 18px;
  padding: 10px 35px;
  border: none;
  border-radius: 5px;
  background-color: var(--main-color);
  transition: .4s;
  color: #ffffff;
  border: solid 2px var(--main-color);
  cursor: pointer;
}
.footer .container .right form button:hover {
  background-color: transparent;
  color: var(--main-color)
}
/* End */
@media (max-width: 1070px) {
  .image .container img {
    max-width: 770px;
  }
}
@media (max-width: 991px) {
  .rt .container {
    grid-template-columns: repeat(auto-fill, minmax(50%, 1fr));
  }
  .landing .container h1 {
    font-size: 35px;
  }
  .tg .container {
    flex-direction: column-reverse;
    gap: 85px;
  }
  .sec {
    padding-left: 15px;
    padding-right: 15px;
  }
  .follow .container {
    flex-direction: column;
    gap: 85px;
  }
  .users .container {
    flex-direction: column-reverse;
    gap: 85px;
  }
  .follow .container .right-c {
    text-align: center;
  }
  .users .container .left {
    text-align: center;
  }
  .red .container h1 {
    text-align: center;
  }
  .footer .container {
    flex-direction: column-reverse;
    gap: 85px;
  }
  .tg .container .left {
    text-align: center;
  }
  .landing .container h1 {
    text-align: center;
  }
}
@media (max-width: 767px) {
  .image .container img {
    width: 660px;
  }
  .sec {
    width: calc(100% - 30px);
  }
}
@media (max-width: 682px) {
  .image .container img {
    width: 550px;
  }
} 
@media (max-width: 560px) {
  .image .container img {
    width: 450px;
  }
  .tg .container .right-img img {
    width: 430px;
  }
  .follow .container img {
    width: 430px;
  }
  .users .container img {
    width: 430px;
  }
} 
@media (max-width: 480px) {
  .image .container img {
    width: 360px;
  }
  .tg .container .right-img img {
    width: 360px;
  }
  .follow .container img {
    width: 360px;
  }
  .users .container img {
    width: 360px;
  }
}
@media (max-width: 600px) {
  .rt .container {
    grid-template-columns: repeat(auto-fill, minmax(100%, 1fr));
    gap: 35px;
  }
}
@media (max-width: 400px) {
  .tg::before {
    background-image: url(../images/bg-section-top-mobile-1.svg);
    height: 15%;
    top: -14%;
  }
  .tg::after {
    background-image: url(../images/bg-section-bottom-mobile-1.svg);
    height: 6.5%;
    bottom: -6%;
  }
  .users::before {
    background-image: url(../images/bg-section-top-mobile-2.svg);
    height: 14%;
    top: -13%;
  }
  .users::after {
    background-image: url(../images/bg-section-bottom-mobile-2.svg);
    height: 13.2%;
    bottom: -13%;
  }
  .footer::before {
    background-image: url(../images/bg-footer-top-mobile.svg);
    height: 53px;
    top: -52px;
  }
  .footer .container .right form {
    flex-direction: column;
  }
  .footer .container .right form input {
    width: 100%;
  }
}
@media (max-width: 460px) {
  nav .container a img {
    max-width: 160px;
  }
}
@media (max-width: 375px) {
  .landing .container h1 {
    font-size: 25px;
  }
  .landing .container p {
    font-size: 18px;
  }
  .image .container img {
    max-width: 100%;
  }
  .tg .container .right-img img {
    max-width: 100%;
  }
  .follow .container img {
    max-width: 100%;
  }
  .users .container img {
    max-width: 100%;
  }
  nav .container a {
    width: 50%;
  }
  nav .container a img {
    max-width: 100%;
  }
  nav .container button {
    padding: 7px 10px;
  }
}
@media (min-width: 992px) and (max-width: 1170px) {
  .landing .container h1 {
    font-size: 35px;
  }
}
@media (max-width: 991px) {
  .landing .container {
    flex-direction: column;
    gap: 35px;
  }
  .landing .container {
    text-align: center;
  }
  .red .container {
    width: calc(100% - 30px);
  }
  .landing {
    height: 100%;
    padding: 50px 0;
  }
}
@media (max-width: 530px) {
  .landing .container .right-ri img {
    max-width: 100%;
  }
}
@media (max-width: 400px) {
  .red .container {
    padding-right: 15px;
    padding-left: 15px;
    font-size: 30px;
  }
}
@media (max-width: 364px) {
  .red .container h1 {
    font-size: 27px;
  }
  .red .container button {
    font-size: 18px;
  }
}
@media (max-width: 327px) {
  .landing .container button {
    font-size: 18px;
  }
}
@media (max-width: 375px) {
  .landing::before {
    background-image: url(../images/bg-hero-mobile.svg);
  }
}